from django.contrib import admin
from Menu.models import *

admin.site.register (Unit)
admin.site.register (Nutritient)

class MealNutritientInline (admin.TabularInline):
    model = MealNutritient
    extra = 10

class MealAdmin (admin.ModelAdmin):
    inlines = (MealNutritientInline,)

admin.site.register (Meal, MealAdmin)
admin.site.register (MenuType)

class MenuMealInline (admin.TabularInline):
    model = MenuMeal
    extra = 4
    max_num = 4

class MenuAdmin (admin.ModelAdmin):
    inlines = (MenuMealInline,)

admin.site.register (Menu, MenuAdmin)
admin.site.register (MenuMealType)
